### Constructor

# EBook BookClient new

deprecated: 3.8 since: 3.2

#### Declaration [src]

    EBookClient*
    e_book_client_new (
      ESource* source,
      GError** error
    )

#### Description [src]

Creates a new `EBookClient` corresponding to the given source. There are only two operations that are valid on this book at this point: e_client_open(), and e_client_remove().

Available since: 3.2

Deprecated since: 3.8

It covertly makes synchronous D-Bus calls, with no way to cancel. Use `e_book_client_connect()` instead, which combines `e_book_client_new()` and `e_client_open()` into one step.

#### Parameters

`source`

  Type: `ESource`

  An `ESource` pointer.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `EBookClient`

A new but unopened `EBookClient`.

The caller of the function takes ownership of the data, and is responsible for freeing it.